<%
# BigBlueButton open source conferencing system - http://www.bigbluebutton.org/.
# Copyright (c) 2018 BigBlueButton Inc. and by respective authors (see below).
# This program is free software; you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free Software
# Foundation; either version 3.0 of the License, or (at your option) any later
# version.
#
# BigBlueButton is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
# You should have received a copy of the GNU Lesser General Public License along
# with BigBlueButton; if not, see <http://www.gnu.org/licenses/>.
%>

<tr>
  <td>
    <div id="recording-title" class="edit_hover_class" data-recordid="<%= recording[:recordID] %>" data-room-uid="<%= room_uid_from_bbb(recording[:meetingID]) %>" data-path="<%= rename_recording_path(meetingID: recording[:meetingID], record_id: recording[:recordID]) %>">
      <% if recording[:metadata][:name] %>
        <span id='recording-text' title="<%= recording[:metadata][:name] %>">
          <%= recording[:metadata][:name] %>
      <% else %>
        <span id='recording-text' title="<%= recording[:name] %>">
          <%= recording[:name] %>
      <% end %>
        </span>
      <a><i id="edit-record" class="fa fa-edit align-top ml-2" data-edit-recordid="<%= recording[:recordID] %>"></i></a>
    </div>
    <div class="small text-muted">
      <%= t("recording.recorded_on", date: view_date(recording[:startTime])).html_safe %>
    </div>
  </td>
  <% if recording_thumbnails? %>
    <td class="overflow-hidden">
      <% p = recording[:playbacks].find do |p| p.key?(:preview) end %>
      <% if p %>
        <% safe_recording_images(p[:preview][:images][:image]).each do |img| %>
          <%= image_tag(img[:content].strip, class: "thumbnail px-2") %>
        <% end %>
      <% end %>
    </td>
  <% end %>
  <td id="recording-length" class="text-left" data-full-length="<%= recording[:playbacks].empty? ? 0 : recording[:playbacks].first[:length]%>">
    <%= recording_length(recording[:playbacks]) %>
  </td>
  <td id="recording-users" class="text-left">
    <%= recording[:participants] || "-" %>
  </td>
  <td class="text-left">
    <div class="dropdown">
      <% if recording[:metadata][:"gl-listed"] == "true" %>
        <button class="btn btn-sm btn-secondary dropdown-toggle" data-toggle="dropdown"><i class="dropdown-icon fas fa-globe px-2"></i> <%= t("recording.visibility.public") %></button>
      <% else %>
        <button class="btn btn-sm btn-secondary dropdown-toggle" data-toggle="dropdown"><i class="dropdown-icon fas fa-link px-2"></i> <%= t("recording.visibility.unlisted") %></button>
      <% end %>
      <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
        <%= button_to update_recording_path(meetingID: recording[:meetingID], record_id: recording[:recordID], state: "public"), class: "dropdown-item", "data-disable": "" do %>
          <i class="dropdown-icon fas fa-globe"></i> <%= t("recording.visibility.public") %>
        <% end %>
        <%= button_to update_recording_path(meetingID: recording[:meetingID], record_id: recording[:recordID], state: "unlisted"), class: "dropdown-item", "data-disable": "" do %>
          <i class="dropdown-icon fas fa-link"></i> <%= t("recording.visibility.unlisted") %>
        <% end %>
      </div>
    </div>
  </td>
  <td>
    <% sorted_formats = recording[:playbacks].sort_by! { |p| p[:type] } %>
    <% sorted_formats.each do |p| %>
      <%= link_to t("recording.format.#{p[:type]}"), p[:url], class: "btn btn-sm btn-primary", target: "_blank" %>
    <% end %>
    <% if Rails.configuration.bbb_download_url %>
      <%= link_to "Download", "#{Rails.configuration.bbb_download_url}/download/presentation/#{recording[:recordID]}/#{recording[:recordID]}.mp4", class: "btn btn-sm btn-secondary", target: "_blank" %>
    <% end %>
  </td>
  <td class="text-center">
    <div class="item-action dropdown">
      <a href="javascript:void(0)" data-toggle="dropdown" class="icon">
        <i class="fas fa-ellipsis-v px-4"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right">
        <% recording_links = "" %>
        <% p = recording[:playbacks].each do |p| recording_links.concat(p[:url] + "\n\n") if p.key?(:length) end %>
        <% if p %>
          <a class="dropdown-item email-link" data-pres-link="<%= recording_links %>"><i class="dropdown-icon far fa-envelope"></i> <%= t("recording.email") %></a>
          <div class="dropdown-divider"></div>
        <% end %>
        <a href="" data-toggle="modal" data-target="#deleteRecordingModal" data-path="<%= delete_recording_path(meetingID: recording[:meetingID], record_id: recording[:recordID]) %>" class="delete-rec dropdown-item">
          <i class="dropdown-icon far fa-trash-alt"></i> <%= t("delete") %>
        </a>
      </div>
    </div>
  </td>
</tr>
